Map Site
curl --request POST \
--url https://api.example.com/v1/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"filterByPath": true,
"ignoreQueryParameters": true,
"ignoreSitemap": false,
"includeSubdomains": false,
"limit": 5000,
"search": "<string>",
"sitemap": "include",
"timeout": 30000
}
'import requests
url = "https://api.example.com/v1/map"
payload = {
"url": "<string>",
"filterByPath": True,
"ignoreQueryParameters": True,
"ignoreSitemap": False,
"includeSubdomains": False,
"limit": 5000,
"search": "<string>",
"sitemap": "include",
"timeout": 30000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
filterByPath: true,
ignoreQueryParameters: true,
ignoreSitemap: false,
includeSubdomains: false,
limit: 5000,
search: '<string>',
sitemap: 'include',
timeout: 30000
})
};
fetch('https://api.example.com/v1/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/map",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'filterByPath' => true,
'ignoreQueryParameters' => true,
'ignoreSitemap' => false,
'includeSubdomains' => false,
'limit' => 5000,
'search' => '<string>',
'sitemap' => 'include',
'timeout' => 30000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/map"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"filterByPath\": true,\n \"ignoreQueryParameters\": true,\n \"ignoreSitemap\": false,\n \"includeSubdomains\": false,\n \"limit\": 5000,\n \"search\": \"<string>\",\n \"sitemap\": \"include\",\n \"timeout\": 30000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/map")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"filterByPath\": true,\n \"ignoreQueryParameters\": true,\n \"ignoreSitemap\": false,\n \"includeSubdomains\": false,\n \"limit\": 5000,\n \"search\": \"<string>\",\n \"sitemap\": \"include\",\n \"timeout\": 30000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/map")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"filterByPath\": true,\n \"ignoreQueryParameters\": true,\n \"ignoreSitemap\": false,\n \"includeSubdomains\": false,\n \"limit\": 5000,\n \"search\": \"<string>\",\n \"sitemap\": \"include\",\n \"timeout\": 30000\n}"
response = http.request(request)
puts response.read_body{
"data": {
"links": [
{
"source": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"warning": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}public
Map Site
Discover URLs without fetching each one.
Map Site
curl --request POST \
--url https://api.example.com/v1/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"filterByPath": true,
"ignoreQueryParameters": true,
"ignoreSitemap": false,
"includeSubdomains": false,
"limit": 5000,
"search": "<string>",
"sitemap": "include",
"timeout": 30000
}
'import requests
url = "https://api.example.com/v1/map"
payload = {
"url": "<string>",
"filterByPath": True,
"ignoreQueryParameters": True,
"ignoreSitemap": False,
"includeSubdomains": False,
"limit": 5000,
"search": "<string>",
"sitemap": "include",
"timeout": 30000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
filterByPath: true,
ignoreQueryParameters: true,
ignoreSitemap: false,
includeSubdomains: false,
limit: 5000,
search: '<string>',
sitemap: 'include',
timeout: 30000
})
};
fetch('https://api.example.com/v1/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/map",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'filterByPath' => true,
'ignoreQueryParameters' => true,
'ignoreSitemap' => false,
'includeSubdomains' => false,
'limit' => 5000,
'search' => '<string>',
'sitemap' => 'include',
'timeout' => 30000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/map"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"filterByPath\": true,\n \"ignoreQueryParameters\": true,\n \"ignoreSitemap\": false,\n \"includeSubdomains\": false,\n \"limit\": 5000,\n \"search\": \"<string>\",\n \"sitemap\": \"include\",\n \"timeout\": 30000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/map")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"filterByPath\": true,\n \"ignoreQueryParameters\": true,\n \"ignoreSitemap\": false,\n \"includeSubdomains\": false,\n \"limit\": 5000,\n \"search\": \"<string>\",\n \"sitemap\": \"include\",\n \"timeout\": 30000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/map")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"filterByPath\": true,\n \"ignoreQueryParameters\": true,\n \"ignoreSitemap\": false,\n \"includeSubdomains\": false,\n \"limit\": 5000,\n \"search\": \"<string>\",\n \"sitemap\": \"include\",\n \"timeout\": 30000\n}"
response = http.request(request)
puts response.read_body{
"data": {
"links": [
{
"source": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"warning": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>",
"success": true
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}{
"error": {
"code": "<string>",
"details": null,
"message": "<string>"
},
"request_id": "<string>",
"success": false
}Authorizations
API key for public endpoints; Clerk session for account endpoints.
Headers
Body
application/json
Configure URL discovery for one site.
Required string length:
1 - 8192Required range:
1 <= x <= 50000Substring filter on the URL
Maximum string length:
1000Available options:
include, skip, only Required range:
x <= 120000